// //////////////////////////////////////////////////
// //                                              //
// //  Table Styling Module                        //
// //                                              //
// //////////////////////////////////////////////////

.table {
  display: table;
  width: 100%;
  text-align: center;
  border-collapse: collapse;

  .table__heading {
    display: table-header-group;
    border-bottom: calc-em(2) solid $color__primary--dark;

    .table__row {
      display: table-row;

      .table__head {
        display: table-cell;
        padding: calc-em(8);

        &:nth-child(1) {
          width: calc-em(40);
        }
        &:nth-child(2) {
          width: calc-em(40);
        }
        &:nth-child(3) {
          width: calc-em(40);
        }

        .gold,
        .silver,
        .bronze {
          width: calc-em(20);
          height: calc-em(20);
          margin: 0 auto;
          border-radius: 50%;
          color: transparent;
          cursor: pointer;
        }

        .gold {
          background-color: $color__gold;
        }

        .silver {
          background-color: $color__silver;
        }

        .bronze {
          background-color: $color__bronze;
        }

        .total {
          cursor: pointer;
        }
      }

      .active {
        border-top: calc-em(2) solid $color__primary--dark;
      }
    }
  }

  .table__body {
    display: table-row-group;

    .table__row {
      display: table-row;
      border-bottom: calc-em(1) solid $color__neutral--light;

      .table__cell {
        display: table-cell;
        font-size: calc-em(14);
        padding: calc-em(8) calc-em(2);

        .table__flag {
          width: calc-em(28);
          height: calc-em(17);
          background: url(https://s3-us-west-2.amazonaws.com/reuters.medals-widget/flags.png);

          &.AUT {
            background-position: 0 221px;
          }
          &.BLR {
            background-position: 0 204px;
          }
          &.CAN {
            background-position: 0 187px;
          }
          &.CHN {
            background-position: 0 170px;
          }
          &.FRA {
            background-position: 0 153px;
          }
          &.GER {
            background-position: 0 136px;
          }
          &.ITA {
            background-position: 0 119px;
          }
          &.NED {
            background-position: 0 102px;
          }
          &.USA {
            background-position: 0 17px;
          }
          &.RUS {
            background-position: 0 68px;
          }
          &.SUI {
            background-position: 0 51px;
          }
          &.SWE {
            background-position: 0 34px;
          }
          &.NOR {
            background-position: 0 85px;
          }
        }
      }
    }
  }
}
